Subject: bug#74145: 31.0.50; Default lexical-binding to t

From: dancol <[email-masked]>
Date: Mon, 17 Feb 2025 04:15:51 -0500

On 2025-02-16 18:50, Richard Stallman wrote:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
> Someone else wrote:
> 
>   > > I believe the time has come to change the default dialect.
>   > > I attached a suggested patch to do that.
> 
> Certainly not!  That would be too abrupt.
> 
> By contrast, your proposed change
> 
>   > OK, before we change the default, I propose the patch below, which
>   > should not change the behavior at all, but allows users to
> 
>   >     (set-default-toplevel-value 'lexical-binding t)
> 
> is a step along a reasonable path.  It won't impose anything on anyone
> immediately, but it will encourage users to try this out and report
> problems.
> 
> One always looks forward to reaching the end of a series of changes
> planned to reach an intended destination.  But if we want to do a good
> job for the users, we must not rush them.

It's been many years now. Everyone has had enough time to adapt to 
lexical-binding.